Skip to main content
GET
https://api.aisa.one/apis/v1
/
twitter
/
user
/
tweet_timeline
Get User Tweet Timeline
curl --request GET \
  --url https://api.aisa.one/apis/v1/twitter/user/tweet_timeline \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "tweets": [
      {}
    ],
    "pin_tweet": {}
  },
  "has_next_page": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string

User ID of the user whose timeline to retrieve.

includeReplies
boolean
default:false

Whether to include replies in the results. Defaults to false.

includeParentTweet
boolean
default:false

Whether to include the parent tweet when a tweet is a reply. Defaults to false.

cursor
string

Cursor for paginating through results. Leave empty for the first page.

Response

200 - application/json

User tweet timeline

status
enum<string>
Available options:
success,
error
code
integer

Provider status code returned by the AIsa wrapper.

msg
string
data
object
has_next_page
boolean
next_cursor
string | null